Package org.apache.sling.scripting.sightly.impl.html.dom

## Class MarkupHandler

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.html.dom.MarkupHandler

    public class MarkupHandler
    extends Object

Implementation for the markup handler

### Constructor Summary

Constructors
`MarkupHandler​(PushStream stream, Map<String,​Plugin> pluginRegistry, List<Filter> filters, Set<String> knownExpressionOptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onAttribute​(String name, String value, char quoteChar)`
`void` `onCloseTag​(String markup)`
`void` `onComment​(String markup)`
`void` `onDataNode​(String markup)`
`void` `onDocType​(String markup)`
`void` `onDocumentFinished()`
`void` `onOpenTagEnd​(String markup)`
`void` `onOpenTagStart​(String markup, String tagName)`
`void` `onText​(String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkupHandler

    public MarkupHandler​(PushStream stream,
                         Map<String,​Plugin> pluginRegistry,
                         List<Filter> filters,
                         Set<String> knownExpressionOptions)

### Method Detail

#### onOpenTagStart

    public void onOpenTagStart​(String markup,
                               String tagName)

#### onAttribute

    public void onAttribute​(String name,
                            String value,
                            char quoteChar)

#### onOpenTagEnd

    public void onOpenTagEnd​(String markup)

#### onCloseTag

    public void onCloseTag​(String markup)

#### onText

    public void onText​(String text)

#### onComment

    public void onComment​(String markup)

#### onDataNode

    public void onDataNode​(String markup)

#### onDocType

    public void onDocType​(String markup)

#### onDocumentFinished

    public void onDocumentFinished()